#!/bin/bash -x

DEST=`pwd`/.destino
ORIG=`pwd`/.origen

echo "finalizando"
sync
umount $ORIG
rmdir $ORIG
sync
while read -r line
do
	CADENA=`echo $line | sed -e 's/{/\ --unrestricted{/'`
	if [[ $line != *'--unrestricted'* ]]
	then
		sed -i -e 's/'"$line"'/'"$CADENA"'/' $DEST/boot/grub/grub.cfg
	fi
done < <(cat $DEST/boot/grub/grub.cfg | grep menuentry)
umount $DEST/efi
umount $DEST/data
umount $DEST/ISO
rmdir -rf $DEST
sync

exit 0
